note
  description: "Objects represent the sum of the left and right expressions."

class ADDITION
  inherit EXPRESSION

create make

--------------------------------------------------------------------------------
feature {NONE} -- Creation

make (l, r: EXPRESSION)
  -- Initialise to l plus r.
  do
    left := l
    right := r
  end 

--------------------------------------------------------------------------------
feature  -- ADT

left, right: EXPRESSION	 -- The sub-expressions

accept (visitor: VISITOR)
  -- Traverse with visitor.
  do
    visitor.visit_addition (Current)
  end

end
