note
  description: "Objects are integer constant expressions."

class CONSTANT
  inherit EXPRESSION

create make

--------------------------------------------------------------------------------
feature {NONE} -- Creation

make (v: INTEGER)
  -- Initialise teh value to v.
  do
     value := v
  end

--------------------------------------------------------------------------------
feature -- ADT

value: INTEGER  -- The value of this constant.

accept (visitor: VISITOR)
  -- Traverse with visitor.
  do
    visitor.visit_constant(Current)
  end

end
