note
  description: "Subtacting right expression from left expression."
  
class SUBTRACTION
  inherit EXPRESSION

create make

--------------------------------------------------------------------------------
feature -- ADT

left, right: EXPRESSION	 -- The sub-expressions

make (l, r: EXPRESSION)
  -- Initialise to l minus r.
  do
    left := l
    right := r
  end 

accept (visitor: VISITOR)
  -- Traverse with visitor.
  do
    visitor.visit_subtraction (Current)
  end

end 
